# angular.directive.ng:class-odd

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

The `ng:class-odd` and `ng:class-even` works exactly as `ng:class`, except it works in conjunction with `ng:repeat` and takes affect only on odd (even) rows.

## Usage

    <ANY ng:class-odd="expression">
       ...
    </ANY>

### Parameters

- `expression – {expression} –`

  Expression to eval. Must be inside `ng:repeat`.

## Example

       <ol ng:init="names=['John', 'Mary', 'Cate', 'Suz']">
         <li ng:repeat="name in names">
          <span ng:class-odd="'ng-format-negative'"
                ng:class-even="'ng-input-indicator-wait'">
            {{name}} &nbsp; &nbsp; &nbsp;
          </span>
         </li>
       </ol>

      it('should check ng:class-odd and ng:class-even', function(){
        expect(element('.doc-example-live li:first span').attr('className')).
          toMatch(/ng-format-negative/);
        expect(element('.doc-example-live li:last span').attr('className')).
          toMatch(/ng-input-indicator-wait/);
      });